﻿@model Tuple<List<ItemMasterSAP>, QuickOrderParamsView>
@{
    bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}

@if (Model.Item2.FirstDoubleSearch == true && Model.Item2.DoubleTilesSearchCk == true)
{
    <div class="row">
        <div class="col-sm-12 main side-collapse-container">
            <div class="row">
                <div class="cuadro_search_fifty pull-left">
                    <div class="cuadro_preseason_content">
                        <div id="ListTilesDiv1" class="list_products">
                            @if (Model.Item2.ColumnRadio == "1")
                            {
                                <div class="col-xs-6 col-md-6 pull-left no-padding"> <strong>@QuickOrder.IL</strong></div>
                                <div class="col-xs-6 col-md-6 pull-right no-padding">
                                    <button id="NextColumn1" onclick="mStartColumn1 = mStartColumn1 + mLengthColumn1; GetItemsTile(1);" class="btn btn-success btn-ls pull-right margin-left">Next <span class="glyphicon glyphicon-chevron-right"></span></button>
                                    <button id="PreviousColumn1" disabled="disabled" onclick="mStartColumn1 = mStartColumn1 - mLengthColumn1; GetItemsTile(1);" class="btn btn-success btn-ls pull-right margin-left"><span class="glyphicon glyphicon-chevron-left"></span> Previous </button>
                                    <input type="number" id="TotalQuantityColumn1" class="form-control" disabled="disabled" style="display:none;" value="@Model.Item2.TotalQuantity">
                                </div>
                                <div class="clear_simple"></div>
                                @Html.Partial("_DivTileContent", Model.Item1)
                                
                            }
                        </div>
                    </div>
                </div>
                <div class="cuadro_search_fifty pull-right">
                    <div class="cuadro_preseason_content">
                        <div id="ListTilesDiv2" class="list_products">
                            @if (Model.Item2.ColumnRadio == "2")
                            {
                                <div class="col-xs-6 col-md-6 pull-left no-padding"> <strong>@QuickOrder.IL</strong></div>
                                <div class="col-xs-6 col-md-6 pull-right no-padding">
                                    <button id="NextColumn2" onclick="mStartColumn2 = mStartColumn2 + mLengthColumn2; GetItemsTile(2);" class="btn btn-success btn-ls pull-right margin-left">Next <span class="glyphicon glyphicon-chevron-right"></span></button>
                                    <button id="PreviousColumn2" disabled="disabled" onclick="mStartColumn2 = mStartColumn2 - mLengthColumn2; GetItemsTile(2);" class="btn btn-success btn-ls pull-right margin-left"><span class="glyphicon glyphicon-chevron-left"></span> Previous </button>
                                    <input type="number" id="TotalQuantityColumn2" class="form-control" disabled="disabled" style="display:none;" value="@Model.Item2.TotalQuantity">
                                </div>
                                <div class="clear_simple"></div>
                                @Html.Partial("_DivTileContent", Model.Item1)
                                
                            }
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script>
    $(document).ready(function () {
        var sideslider = $('.navbar-toggle');
        var sel2 = sideslider.attr('data-target-2');
        sideslider.click(function (event) {
            $(sel2).toggleClass('out');
        });
    });
    </script>
    <script>
    $('.precio_h').click(function () {
        $(".precio_hide").slideToggle();
    });
    </script>
}
else
{
    if (Model.Item2.TileToModify == 0)
    {
        <div class="col-xs-6 col-md-6 pull-left no-padding"> <strong>@QuickOrder.IL</strong></div>
        <div class="col-xs-6 col-md-6 pull-right no-padding">
            <button id="NextColumn" onclick="mStartColumn = mStartColumn + mLengthColumn; GetItemsTile(0);" class="btn btn-default btn-ls pull-right margin-left">Next <span class="glyphicon glyphicon-chevron-right"></span></button>
            <button id="PreviousColumn" onclick="mStartColumn = mStartColumn - mLengthColumn; GetItemsTile(0);" class="btn btn-default btn-ls pull-right"><span class="glyphicon glyphicon-chevron-left"></span> Previous </button>
            <input type="number" id="TotalQuantityColumn" class="form-control" disabled="disabled" style="display:none;" value="@Model.Item2.TotalQuantity">
        </div>
       <div class="clear_simple"></div>
    }
    if (Model.Item2.TileToModify == 1)
    {
        <div class="col-xs-6 col-md-6 pull-left no-padding"> <strong>@QuickOrder.IL</strong></div>
        <div class="col-xs-6 col-md-6 pull-right no-padding">
            <button id="NextColumn1" onclick="mStartColumn1 = mStartColumn1 + mLengthColumn1; GetItemsTile(1);" class="btn btn-default btn-ls pull-right margin-left">Next <span class="glyphicon glyphicon-chevron-right"></span></button>
            <button id="PreviousColumn1" onclick="mStartColumn1 = mStartColumn1 - mLengthColumn1; GetItemsTile(1);" class="btn btn-default btn-ls pull-right"><span class="glyphicon glyphicon-chevron-left"></span> Previous </button>
            <input type="number" id="TotalQuantityColumn1" class="form-control" disabled="disabled" style="display:none;" value="@Model.Item2.TotalQuantity">
        </div>
        <div class="clear_simple"></div>
    }
    if (Model.Item2.TileToModify == 2)
    {
        <div class="col-xs-6 col-md-6 pull-left no-padding"> <strong>@QuickOrder.IL</strong></div>
        <div class="col-xs-6 col-md-6 pull-right no-padding">
            <button id="NextColumn2" onclick="mStartColumn2 = mStartColumn2 + mLengthColumn2; GetItemsTile(2);" class="btn btn-default btn-ls pull-right margin-left">Next <span class="glyphicon glyphicon-chevron-right"></span></button>
            <button id="PreviousColumn2" onclick="mStartColumn2 = mStartColumn2 - mLengthColumn2; GetItemsTile(2);" class="btn btn-default btn-ls pull-right"><span class="glyphicon glyphicon-chevron-left"></span> Previous </button>
            <input type="number" id="TotalQuantityColumn2" class="form-control" disabled="disabled" style="display:none;" value="@Model.Item2.TotalQuantity">
        </div>
        <div class="clear_simple"></div>
    }

  @Html.Partial("_DivTileContent", Model.Item1)  
}

<script>
    $('a.thumb').click(function (event) {
        event.preventDefault();
        var content = $('#ImgModalBody');
        content.empty();
        content.html($(this).html());
        $(".modal-profile").modal({ show: true });
    });
</script>

<!-- .modal-profile -->
<div class="modal fade modal-profile zomimage" tabindex="-1" role="dialog" aria-labelledby="modalProfile" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                Images
                <button class="close" type="button" data-dismiss="modal">×</button>
            </div>
            <div class="modal-body" id="ImgModalBody">
            </div>
            <div class="modal-footer">
                <button class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>
<!-- //.modal-profile -->